Commits

Anonymous committed dcaa757

prepare version 0.21.4

Comments (0)

Files changed (4)

 ChangeLog for PyLint
 ====================
 
+2010-10-27  --  0.21.4
+
+    * fix #48066: pylint crashes when redirecting output containing non-ascii characters
+
+    * fix #19799: "pylint -blah" exit with status 2
+
+    * update documentation
+
 2010-09-28  --  0.21.3
     * restored python 2.3 compatibility. Along with logilab-astng
       0.21.3 and logilab-common 0.52, this will much probably be the
 
 modname = distname = 'pylint'
 
-numversion = (0, 21, 3)
+numversion = (0, 21, 4)
 version = '.'.join([str(num) for num in numversion])
 
-install_requires = ['logilab-common >= 0.50.1',
-                    'logilab-astng >= 0.20.1']
+install_requires = ['logilab-common >= 0.52.1',
+                    'logilab-astng >= 0.20.4']
 
 license = 'GPL'
 description = "python code static checker"
  .
  Additionally, it is possible to write plugins to add your own checks."""
 
-pyversions = ["2.3", "2.4", "2.5", '2.6'] # maybe 2.2 as well
+pyversions = ["2.3", "2.4", "2.5", '2.6', "2.7"]
 
 from os.path import join
 scripts = [join('bin', filename)
+pylint (0.21.4-1) unstable; urgency=low
+
+  * new upstream release
+
+ -- Emile Anclin <emile.anclin@logilab.fr>  Thu, 27 Oct 2010 13:54:44 +0100
+
 pylint (0.21.3-1) unstable; urgency=low
 
   * new upstream release
 
 Package: pylint
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-logilab-common (>= 0.50.1), python-logilab-astng (>= 0.20.1)
+Depends: ${python:Depends}, ${misc:Depends}, python-logilab-common (>= 0.52.1), python-logilab-astng (>= 0.20.4)
 Recommends: python-tk
 XB-Python-Version: ${python:Versions}
 Conflicts: python2.2-pylint, python2.3-pylint, python2.4-pylint, pylint-common, pylint-test